"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigActionProcessor = void 0;
const getConfigGetGlobalActionProcessor_1 = require("./getConfigGetGlobalActionProcessor");
const getConfigGetParameterActionProcessor_1 = require("./getConfigGetParameterActionProcessor");
const getConfigGetParametersActionProcessor_1 = require("./getConfigGetParametersActionProcessor");
const getConfigGetSecretActionProcessor_1 = require("./getConfigGetSecretActionProcessor");
const getConfigSetParameterActionProcessor_1 = require("./getConfigSetParameterActionProcessor");
const getConfigActionProcessor = (qpqConfig, dynamicModuleLoader) => __awaiter(void 0, void 0, void 0, function* () {
    return (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (yield (0, getConfigGetGlobalActionProcessor_1.getConfigGetGlobalActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getConfigGetParameterActionProcessor_1.getConfigGetParameterActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getConfigGetParametersActionProcessor_1.getConfigGetParametersActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getConfigGetSecretActionProcessor_1.getConfigGetSecretActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getConfigSetParameterActionProcessor_1.getConfigSetParameterActionProcessor)(qpqConfig, dynamicModuleLoader))));
});
exports.getConfigActionProcessor = getConfigActionProcessor;
