"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCognitoCreateAuthChallengeEventProcessor = void 0;
const getEventAutoRespondActionProcessor_1 = require("./getEventAutoRespondActionProcessor");
const getEventGetRecordsActionProcessor_1 = require("./getEventGetRecordsActionProcessor");
const getEventGetStorySessionActionProcessor_1 = require("./getEventGetStorySessionActionProcessor");
const getEventMatchStoryActionProcessor_1 = require("./getEventMatchStoryActionProcessor");
const getEventTransformResponseResultActionProcessor_1 = require("./getEventTransformResponseResultActionProcessor");
const getCognitoCreateAuthChallengeEventProcessor = (qpqConfig, dynamicModuleLoader) => __awaiter(void 0, void 0, void 0, function* () {
    return (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (yield (0, getEventAutoRespondActionProcessor_1.getEventAutoRespondActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getEventGetRecordsActionProcessor_1.getEventGetRecordsActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getEventGetStorySessionActionProcessor_1.getEventGetStorySessionActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getEventMatchStoryActionProcessor_1.getEventMatchStoryActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getEventTransformResponseResultActionProcessor_1.getEventTransformResponseResultActionProcessor)(qpqConfig, dynamicModuleLoader))));
});
exports.getCognitoCreateAuthChallengeEventProcessor = getCognitoCreateAuthChallengeEventProcessor;
