"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserDirectoryActionProcessor = void 0;
const getUserDirectoryAuthenticateUserActionProcessor_1 = require("./getUserDirectoryAuthenticateUserActionProcessor");
const getUserDirectoryChangePasswordActionProcessor_1 = require("./getUserDirectoryChangePasswordActionProcessor");
const getUserDirectoryConfirmEmailVerificationActionProcessor_1 = require("./getUserDirectoryConfirmEmailVerificationActionProcessor");
const getUserDirectoryConfirmForgotPasswordActionProcessor_1 = require("./getUserDirectoryConfirmForgotPasswordActionProcessor");
const getUserDirectoryCreateUserActionProcessor_1 = require("./getUserDirectoryCreateUserActionProcessor");
const getUserDirectoryDecodeAccessTokenActionProcessor_1 = require("./getUserDirectoryDecodeAccessTokenActionProcessor");
const getUserDirectoryForgotPasswordActionProcessor_1 = require("./getUserDirectoryForgotPasswordActionProcessor");
const getUserDirectoryGetUserAttributesActionProcessor_1 = require("./getUserDirectoryGetUserAttributesActionProcessor");
const getUserDirectoryGetUserAttributesByUserIdActionProcessor_1 = require("./getUserDirectoryGetUserAttributesByUserIdActionProcessor");
const getUserDirectoryGetUsersActionProcessor_1 = require("./getUserDirectoryGetUsersActionProcessor");
const getUserDirectoryGetUsersByAttributeActionProcessor_1 = require("./getUserDirectoryGetUsersByAttributeActionProcessor");
const getUserDirectoryReadAccessTokenActionProcessor_1 = require("./getUserDirectoryReadAccessTokenActionProcessor");
const getUserDirectoryRefreshTokenActionProcessor_1 = require("./getUserDirectoryRefreshTokenActionProcessor");
const getUserDirectoryRequestEmailVerificationActionProcessor_1 = require("./getUserDirectoryRequestEmailVerificationActionProcessor");
const getUserDirectoryRespondToAuthChallengeActionProcessor_1 = require("./getUserDirectoryRespondToAuthChallengeActionProcessor");
const getUserDirectorySetAccessTokenActionProcessor_1 = require("./getUserDirectorySetAccessTokenActionProcessor");
const getUserDirectorySetPasswordActionProcessor_1 = require("./getUserDirectorySetPasswordActionProcessor");
const getUserDirectorySetUserAttributesActionProcessor_1 = require("./getUserDirectorySetUserAttributesActionProcessor");
const getUserDirectoryActionProcessor = (qpqConfig, dynamicModuleLoader) => __awaiter(void 0, void 0, void 0, function* () {
    return (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (yield (0, getUserDirectoryAuthenticateUserActionProcessor_1.getUserDirectoryAuthenticateUserActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryChangePasswordActionProcessor_1.getUserDirectoryChangePasswordActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryConfirmEmailVerificationActionProcessor_1.getUserDirectoryConfirmEmailVerificationActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryConfirmForgotPasswordActionProcessor_1.getUserDirectoryConfirmForgotPasswordActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryCreateUserActionProcessor_1.getUserDirectoryCreateUserActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryDecodeAccessTokenActionProcessor_1.getUserDirectoryDecodeAccessTokenActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryForgotPasswordActionProcessor_1.getUserDirectoryForgotPasswordActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryGetUserAttributesActionProcessor_1.getUserDirectoryGetUserAttributesActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryGetUserAttributesByUserIdActionProcessor_1.getUserDirectoryGetUserAttributesByUserIdActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryGetUsersActionProcessor_1.getUserDirectoryGetUsersActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryGetUsersByAttributeActionProcessor_1.getUserDirectoryGetUsersByAttributeActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryReadAccessTokenActionProcessor_1.getUserDirectoryReadAccessTokenActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryRefreshTokenActionProcessor_1.getUserDirectoryRefreshTokenActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryRequestEmailVerificationActionProcessor_1.getUserDirectoryRequestEmailVerificationActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectoryRespondToAuthChallengeActionProcessor_1.getUserDirectoryRespondToAuthChallengeActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectorySetAccessTokenActionProcessor_1.getUserDirectorySetAccessTokenActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectorySetPasswordActionProcessor_1.getUserDirectorySetPasswordActionProcessor)(qpqConfig, dynamicModuleLoader))), (yield (0, getUserDirectorySetUserAttributesActionProcessor_1.getUserDirectorySetUserAttributesActionProcessor)(qpqConfig, dynamicModuleLoader))));
});
exports.getUserDirectoryActionProcessor = getUserDirectoryActionProcessor;
