import { HTTPEvent, HTTPEventResponse } from 'quidproquo-webserver';
import { APIGatewayEvent, Context, APIGatewayProxyResult } from 'aws-lambda';
import { MatchStoryResult } from 'quidproquo-core';
export type EventInput = [APIGatewayEvent, Context];
export type EventOutput = APIGatewayProxyResult;
export type InternalEventRecord = HTTPEvent;
export type InternalEventOutput = HTTPEventResponse;
export type MatchResult = MatchStoryResult<any, any>;
