import { EventActionType, actionResult, } from 'quidproquo-core';
const getProcessGetRecords = (qpqConfig) => {
    return async ({ eventParams: [eventBridgeEvent, context] }) => {
        const internalEventRecord = {
            time: eventBridgeEvent.time,
            correlation: context.awsRequestId,
            detail: eventBridgeEvent.detail,
        };
        return actionResult([internalEventRecord]);
    };
};
export const getEventGetRecordsActionProcessor = async (qpqConfig) => ({
    [EventActionType.GetRecords]: getProcessGetRecords(qpqConfig),
});
