import { EventActionType, actionResult, } from 'quidproquo-core';
const getProcessAutoRespond = (qpqConfig) => {
    return async ({ matchResult }) => {
        // If we could not match, we can just auto respond...
        if (!matchResult.runtime) {
            // Just say we have finished gracefully.
            return actionResult(true);
        }
        return actionResult(null);
    };
};
export const getEventAutoRespondActionProcessor = async (qpqConfig) => ({
    [EventActionType.AutoRespond]: getProcessAutoRespond(qpqConfig),
});
