import { getWebEntryActionProcessor } from './webEntry';
import { getServiceFunctionActionProcessor } from './serviceFunction';
import { getWebsocketActionProcessor } from './websocket';
export * from './webEntry';
export * from './serviceFunction';
export * from './websocket';
export const getWebserverActionProcessor = async (qpqConfig, dynamicModuleLoader) => ({
    ...(await getWebEntryActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getServiceFunctionActionProcessor(qpqConfig, dynamicModuleLoader)),
    ...(await getWebsocketActionProcessor(qpqConfig, dynamicModuleLoader)),
});
