export declare const cloudFrontRequestEvent_viewerRequest: (event: import("aws-lambda").CloudFrontRequestEvent, context: import("aws-lambda").Context) => Promise<{
    headers: {
        "x-qpq-is-bot": {
            key: string;
            value: string;
        }[];
    };
    body?: {
        action: "replace" | "read-only";
        data: string;
        encoding: "text" | "base64";
        readonly inputTruncated: boolean;
    } | undefined;
    clientIp: string;
    method: string;
    uri: string;
    querystring: string;
    origin?: import("aws-lambda").CloudFrontOrigin | undefined;
}>;
