import { CognitoIdentityProviderClient, VerifyUserAttributeCommand, } from '@aws-sdk/client-cognito-identity-provider';
import { createAwsClient } from '../createAwsClient';
export const verifyUserEmail = async (region, accessToken, verificationCode) => {
    const cognitoClient = createAwsClient(CognitoIdentityProviderClient, { region });
    const params = {
        AccessToken: accessToken,
        AttributeName: 'email',
        Code: verificationCode,
    };
    await cognitoClient.send(new VerifyUserAttributeCommand(params));
};
