"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveSecretResourceName = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const awsNamingUtils_1 = require("../../../../awsNamingUtils");
const resolveSecretResourceName = (secretName, qpqConfig) => {
    var _a, _b;
    const secretConfig = quidproquo_core_1.qpqCoreUtils.getSecretByName(secretName, qpqConfig);
    return (0, awsNamingUtils_1.getConfigRuntimeResourceNameFromConfigWithServiceOverride)(((_a = secretConfig.owner) === null || _a === void 0 ? void 0 : _a.resourceNameOverride) || secretName, qpqConfig, (_b = secretConfig.owner) === null || _b === void 0 ? void 0 : _b.module);
};
exports.resolveSecretResourceName = resolveSecretResourceName;
