"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeSQSEvent = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const lambda_utils_1 = require("./lambda-utils");
const dynamicModuleLoader_1 = require("./dynamicModuleLoader");
const getQpqLambdaRuntimeForEvent_1 = require("../lambdaHandlers/helpers/getQpqLambdaRuntimeForEvent");
const getActionProcessor_1 = require("../getActionProcessor");
// Default executor
exports.executeSQSEvent = (0, getQpqLambdaRuntimeForEvent_1.getQpqLambdaRuntimeForEvent)(quidproquo_core_1.QpqRuntimeType.QUEUE_EVENT, (event) => {
    return {
        depth: 0,
        context: {},
    };
}, getActionProcessor_1.getSqsQueueEventProcessor, dynamicModuleLoader_1.dynamicModuleLoader, (0, lambda_utils_1.getQpqConfig)());
