import { StorageClass } from '@aws-sdk/client-s3';
import { StorageDriveTier } from 'quidproquo-core';
export declare const randomGuid: () => `${string}-${string}-${string}-${string}-${string}`;
export interface UrlMatch {
    didMatch: boolean;
    params: Record<string, string> | null;
}
export declare const matchUrl: (path: string, url: string) => UrlMatch;
export declare const getS3BucketStorageClassFromStorageDriveTier: (driveTier?: StorageDriveTier) => keyof typeof StorageClass;
