import { SeoEvent, SeoEventResponse, SeoEventRouteParams, SeoQPQWebServerConfigSetting } from 'quidproquo-webserver';
import { CloudFrontRequestEvent, Context, CloudFrontRequestResult } from 'aws-lambda';
import { MatchStoryResult } from 'quidproquo-core';
export type EventInput = [CloudFrontRequestEvent, Context];
export type EventOutput = CloudFrontRequestResult;
export type InternalEventRecord = SeoEvent<any>;
export type InternalEventOutput = SeoEventResponse;
export type MatchResult = MatchStoryResult<SeoEventRouteParams, SeoQPQWebServerConfigSetting>;
