import { EventActionType, actionResult, } from 'quidproquo-core';
const getProcessTransformResponseResult = (qpqConfig) => {
    // We might need to JSON.stringify the body.
    return async ({ eventParams, qpqEventRecordResponses }) => {
        const [record] = qpqEventRecordResponses;
        // Just return the either result back, let the caller deal with it.
        return actionResult(record);
    };
};
export const getEventTransformResponseResultActionProcessor = async (qpqConfig) => ({
    [EventActionType.TransformResponseResult]: getProcessTransformResponseResult(qpqConfig),
});
