import { Context } from 'aws-lambda';
import { ActionProcessorListResolver, DynamicModuleLoader, QPQConfig, QpqRuntimeType, StorySession } from 'quidproquo-core';
export declare const getQpqLambdaRuntimeForEvent: <E extends unknown>(runtimeType: QpqRuntimeType, getStorySession: (event: E) => StorySession, getActionProcessorList: ActionProcessorListResolver, dynamicModuleLoader: DynamicModuleLoader, qpqConfig: QPQConfig) => (event: E, context: Context) => Promise<any>;
